(function(){

	var askDLC = {
	    id: "F413351E-2234108-4967-A989-ADEED5",
	    isRandomEvent: false,
	    maxTriggers: 99999999999,
	    trigger: function (company) {
	    	a = GDT.getDataStore("DLC").data.rettts;
			if (a != 1 && company.isGameProgressBetween(.9, 1)) return true;
	    },
	    getNotification: function (company) {
	    	GDT.getDataStore("DLC").data.rettts = 1;
	        return new Notification({
            	sourceId: "F413351E-2234108-4967-A989-ADEED5",
            	header: "Release DLC",
            	text: "Dein Spiel ist bereit zur Ver\u00F6ffentlichung! M\u00F6chtest du DLCs ver\u00F6ffentlichen? Es ist ein gro\u00DFartiger Weg um schnell Geld zu machen, aber es wird Ihre Fans ver\u00E4rgern wenn die Wertung des Spiels schlecht ist".localize(),
            	options: ["Ja!", "Nein Danke"],
            	weeksUntilFired: 0
        	})
        },
	    complete: function (decision) {
	        if (decision === 0) {
	        	GDT.getDataStore("DLC").data.gamm = GameManager.company.currentGame;
	            Sound.click();
	            GameManager.resume(false);
	            var div = $("#DLCwindow");
	            div.scrollTop()
	            div.gdDialog({
	                popout: !0,
	                close: !0,
	                onClose: function () {
	                    GameManager.resume(true);
	                    return;
	                }
	            })
	            return;
	        }
	        if (decision === 1) {
	            return;
	        }
	    }
	};

	if (GDT.getDataStore("DLC").data.rettts === 1) var newStuff = true;

	var getCash = {
	    id: "F451E-2208-4967-AHDGTT989-ADEED5",
	    isRandomEvent: false,
	    maxTriggers: 99999999999,
	    trigger: function (company) {
	    	var a = GDT.getDataStore("DLC").data.rettts;
	    	var recentGame = GameManager.company.gameLog.last();
	    	var daWeek = GameManager.company.getDate(GameManager.company.currentWeek).month;
	    	var suWeek = GDT.getDataStore("DLC").data.daweek;
			if (daWeek == suWeek && a == 1) return true;
	    },
	    getNotification: function (company) {
	  		a = GDT.getDataStore("DLC").data.gamm
	    	var gName = a.title;
	    	var gScore = a.score;
	    	var uSold = a.unitsSold;
	    	var f = GDT.getDataStore("DLC").data.sellam;
	    	var moneyMade = f * uSold;
	    	GDT.getDataStore("DLC").data.rettts = 0;
	    	GameManager.company.adjustCash(moneyMade, "DLC Sales");
	    	var msg = "Dein DLC wurde Ver\u00F6ffentlicht! ";
	    	if (gScore > 7) {
	    		msg = msg + gName + " Dein Spiel war gut genug und verkaufte " + UI.getShortNumberString(uSold) + " Kopien, Gewinn $" + moneyMade + "!";
	    	} else {
	    		var currFans = GameManager.company.fans;
	    		var adjFans = Math.round(currFans / f);
	    		GameManager.company.adjustFans(-adjFans);
	    		msg = msg + "Dein Spiel war nicht so gut, durch die Ver\u00F6ffentlichung des DLCs hast du deine Fans ver\u00E4rgert. Gewinn $" + moneyMade + " aber verlierst "+ UI.getShortNumberString(adjFans) + " Fans";
	    	}
	        return new Notification({
            	header: "Release DLC",
            	text: msg,
            	buttonText: "Sweet!",
            	weeksUntilFired: 0
        	})
	    }
	};

	GDT.addEvent(askDLC);
	GDT.addEvent(getCash);

//=============================================================================================================================================================
//=============================================================================================================================================================
//=============================================================================================================================================================
//=============================================================================================================================================================

    UI.SellShares = function (a) {
    	daWeek = GameManager.company.getDate(GameManager.company.currentWeek).month;
    	if (daWeek > 10) daWeek = 0;
    	GDT.getDataStore("DLC").data.daweek = daWeek + 2;
        Sound.click();
        switch (a.id) {
            case "dlc1":
            	GDT.getDataStore("DLC").data.sellam = 3;    	
                break;
            case "dlc2":
            	GDT.getDataStore("DLC").data.sellam = 5;
                break;
            case "dlc3":
            	GDT.getDataStore("DLC").data.sellam = 10;
                break;
            default:
                return;
        }
        div.dialog("close");
    };

    var div = $("body");
    div.append('<div id="DLCwindow" class="windowBorder wideWindow" style="overflow:auto;display:none;"> <div id="toDLC" class="windowTitle smallerWindowTitle">Release DLC</div>');
    div = $("#DLCwindow"); 
    div.append('<div style="text-align:center;margin-left:50px;width: 675px">Was m\u00F6chtest du als DLC ver\u00F6ffentlichen? Nach Ver\u00F6ffentlichung deines Spiels, wird dein DLC auf Basis der Spielwertung Gewinne erwirtschaften. Aber Vorsicht, Wenn dein Spiel schlecht bewertet ist oder du zuviel DLCs ver\u00F6ffentlichst, knnte es deiner Popularit\u00E4t schaden.</div>');
    div.append('<div id="dlc1" class="selectorButton whiteButton" onclick="UI.SellShares(this)" style="margin-left:50px;width: 675px">Coole Charackter Texturen | Verkaufspreis: $3 | Risiko: Gering </div>');
    div.append('<div id="dlc2" class="selectorButton whiteButton" onclick="UI.SellShares(this)" style="margin-left:50px;width: 675px">Neue Items | Verkaufspreis: $5 | Risiko: Mittel </div>');
    div.append('<div id="dlc3" class="selectorButton whiteButton" onclick="UI.SellShares(this)" style="margin-left:50px;width: 675px">Neue Maps und Levels | Verkaufspreis: $10 | Risiko: Hoch </div>');

})();